INCLUDES = $(all_includes)

check_PROGRAMS = server test.class

server_SOURCES = main.cpp test.skel test_impl.cpp
server_LDFLAGS = $(all_libraries)
server_LDADD = $(LIB_TDECORE)

# test_class_SOURCES = test.java

test.class: test.java test_stub.java
	$(JAVAC) -classpath $(kde_libraries)/java:. test.java

test_stub.java: test.h test.kidl
	dcopidl2java test.kidl

CLEANFILES = test_stub.java test_stub.class
